Bug 268437 - NullPointerException: The element parameter cannot be null
NullPointerException: The element parameter cannot be null
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
8.2
All All
: P3 (vote)
: Dev
Assigned To: Svata Dedic
issues@java
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-10 06:40 UTC by dathyrius
Modified: 2016-12-14 12:48 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.00 KB, text/plain)
2016-10-10 06:40 UTC, dathyrius
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dathyrius 2016-10-10 06:40:42 UTC
Build: NetBeans IDE 8.2 (Build 201609300101)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.102-b14, Java(TM) SE Runtime Environment, 1.8.0_102-b14
OS: Mac OS X

User Comments:
dathyrius: Do not know




Stacktrace: 
java.lang.NullPointerException: The element parameter cannot be null
   at org.openide.util.Parameters.notNull(Parameters.java:89)
   at org.netbeans.api.java.source.ElementHandle.createImpl(ElementHandle.java:439)
   at org.netbeans.api.java.source.ElementHandle.create(ElementHandle.java:398)
   at org.netbeans.modules.java.hints.errors.ImplementAllAbstractMethods$ImplementFixBase.<init>(ImplementAllAbstractMethods.java:323)
   at org.netbeans.modules.java.hints.errors.ImplementAllAbstractMethods$ImplementAbstractMethodsFix.<init>(ImplementAllAbstractMethods.java:552)
   at org.netbeans.modules.java.hints.errors.ImplementAllAbstractMethods.run(ImplementAllAbstractMethods.java:236)
Comment 1 dathyrius 2016-10-10 06:40:44 UTC
Created attachment 162424 [details]
stacktrace
Comment 2 Svata Dedic 2016-11-11 10:51:20 UTC
Fixed in jet-main#923ff2f92f3f
Comment 3 Quality Engineering 2016-11-13 02:53:36 UTC
Integrated into 'main-silver', will be available in build *201611130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/923ff2f92f3f
User: Svata Dedic <sdedic@netbeans.org>
Log: #268437: reject incomplete types
Comment 4 Svata Dedic 2016-11-23 09:30:29 UTC
Transplanted as releases#e8479ba02aac
Comment 5 Jiri Prox 2016-12-14 12:48:06 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo